icewm -- history of user-visible changes.  2023-10-02

Release icewm-3.4.3 released 2023-10-02
---------------------------------------

git shortlog -e -n -w80,6,8 3.4.2...3.4.3

Bert Gijsbers <gijsbers@science.uva.nl> (9):
      Simplify APM file handling with class SysFS for bbidulock/icewm#746.
      When cascading, include the border size for bbidulock/icewm#747.
      Add pref "TaskBarShowTransientWindows" to only show window titles on task
        buttons when it is true, which is the default, for issue 633.
      Document new pref "TaskBarShowWindowTitles".
      Add DoNotManage winoption for issues #653 and ice-wm/icewm#136.
      Let icewmbg interpret command-line arguments relative to the current
        working directory for issue #497. Let icewmbg accept additional
        arguments as images or directories. Add -f,--fork option to icewmbg. Add
        --postpreferences option to icewmbg.
      After daemonizing reopen the output file.
      Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
        icewm-1-4-BRANCH
      Merge branch 'icewm-1-4-BRANCH'

diego roversi <diegor@tiscali.it> (1):
      Use capacity when battery doesn't have information about full charge.
        (#746)


Release icewm-3.4.2 released 2023-09-11
---------------------------------------

git shortlog -e -n -w80,6,8 3.4.1...3.4.2

Bert Gijsbers <gijsbers@science.uva.nl> (12):
      Center icerun and add -r option.
      If only the base dimensions of WM_NORMAL_HINTS has changed, continue with
        normal processing in updateMwmHints, for issue ice-wm/icewm#141. This
        fixes restoring from fullscreen with F11 in chromium.
      Android Termux.
      Add a --terminal option to icewm-menu-fdo to define the preferred
        terminal. Otherwise examine the TERMINAL environment variable for a
        possible terminal. If the given terminal cannot be found, see if other
        supported terminals can be run instead.
      Prefer 'that' over 'which' when restrictive.
      Prefer 'that' over 'which' when restrictive.
      Prefer 'that' over 'which' when restrictive.
      Always update the Window List Menu action handler for ice-wm/icewm#144.
      Support tabs in the window list menu.
      Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
        icewm-1-4-BRANCH
      Merge branch 'icewm-1-4-BRANCH'
      Prepare 3.4.2 release

dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com> (2):
      Bump actions/checkout from 3 to 4 (#745)
      Bump actions/checkout from 3 to 4

Dmitriy Khanzhin <jinn@altlinux.org> (1):
      Translated using Weblate (Russian)

Ferdinand Galko <galko.ferdinand@gmail.com> (1):
      Translated using Weblate (Slovak)

Freek de Kruijf <freek@opensuse.org> (1):
      Translated using Weblate (Dutch)

Gustavs Kivlenieks <kivlenieksgustavs@proton.me> (1):
      Translated using Weblate (Latvian)

Hugo Carvalho <hugokarvalho@hotmail.com> (1):
      Translated using Weblate (Portuguese)

Kukuh Syafaat <syafaatkukuh@gmail.com> (1):
      Translated using Weblate (Indonesian)

Luna  Jernberg <bittin@opensuse.org> (1):
      Translated using Weblate (Swedish)

Mehmet Akif 9oglu <madanadam@gmail.com> (1):
      Translated using Weblate (Turkish)

gijsbers <gijsbers@users.noreply.github.com> (1):
      Merge pull request #145 from ice-wm/dependabot


Release icewm-3.4.1 released 2023-07-21
---------------------------------------

git shortlog -e -n -w80,6,8 3.4.0...3.4.1

Bert Gijsbers <gijsbers@science.uva.nl> (22):
      When the screen size changes, let icewm-session check that icewmbg is
        running or start a new instance, for issue ice-wm/icewm#137.
      Add a OutputFile preference and a -o,--output option to redirect all
        output to a file, which is truncated on startup if it exceeds 5 KB.
      Don't draw a border on quick switch when Look=flat for issue #736.
      Add title as placeholder text in rename title dialog for ice-wm/icewm#138.
      Give logEvent a force option.
      Wider message box for rename title.
      Add "refresh" command to icesh. Refresh desktop on icewm restart.
      manpage details.
      Prevent unlikely case of freeing the _XROOTPMAP_ID pixmap in icewmbg.
      When canceling the quick switch, check if a focused fullscreen is in the
        right layer.
      Don't use OutputFile when printing information.
      Hide the Close button in the System Dialog.
      Deactivate the system dialog on a click outside of the window.
      Two .pod typos.
      Make geometry zero-based.
      When WM_NORMAL_HINTS changes, only update the normalized dimensions, if
        the increments have changed, for issue ice-wm/icewm#141.
      Update potfiles.
      Include algorithm first for portability to GCC-4.8.2.
      Fix constness for object arrays in begin+end member functions.
      Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
        icewm-1-4-BRANCH
      Merge branch 'icewm-1-4-BRANCH'
      Prepare 3.4.1 release

Aleš Kastner <alkas@volny.cz> (1):
      Translated using Weblate (Czech)

David Medina <medipas@gmail.com> (1):
      Translated using Weblate (Catalan)

ItzSelenux <74371741+ItzSelenux@users.noreply.github.com> (1):
      Add a "Hibernate" option as a possible workaround for nosystemd systems
        (#737)

Yasuhiko Kamata <belphegor@belbel.or.jp> (1):
      Translated using Weblate (Japanese)


Release icewm-3.4.0 released 2023-06-05
---------------------------------------

git shortlog -e -n -w80,6,8 3.3.5...3.4.0

Bert Gijsbers <gijsbers@science.uva.nl> (19):
      Support a literal character as the last letter in a "keys" definition if
        it is from the Latin-1 character set for issue ice-wm/icewm#134.
      Support bindings to shifted keys in a "keys" definition in issue
        ice-wm/icewm#134.
      Support UTF-8 key in "keys" and fix unshift for issue ice-wm/icewm#134.
      Update manpage for "keys" for issue ice-wm/icewm#134.
      On a MappingNotify event, reparse the key bindings for ice-wm/icewm#134.
      Fix for a map request from an unmanaged client for issue #734.
      Use xconfigurerequest.
      Support all UTF8 code points in keybindings.
      Include AltGr in the list of modifiers.
      Don't complain about empty key definitions.
      Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
        icewm-1-4-BRANCH
      Merge branch 'icewm-1-4-BRANCH'
      Prepare 3.4.0 release
      Update potfiles.
      Include ast, eo, fa, hi, ie, ka, kk, nn, si in LINGUAS
      Include more source files in POTFILES.in.
      Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
        icewm-1-4-BRANCH
      Merge branch 'icewm-1-4-BRANCH'
      Prepare 3.4.0 release

Temuri Doghonadze <temuri.doghonadze@gmail.com> (2):
      Added translation using Weblate (Georgian)
      Translated using Weblate (Georgian)

Kukuh Syafaat <syafaatkukuh@gmail.com> (1):
      Translated using Weblate (Indonesian)


Release icewm-3.3.5 released 2023-05-18
---------------------------------------

git shortlog -e -n -w80,6,8 3.3.4...3.3.5

Bert Gijsbers <gijsbers@science.uva.nl> (18):
      Lookup icons in more context directories for issue ice-wm/icewm#132.
      Mention the hash-bang in the startup file.
      An Escape key release event must match the key press event for #726.
      Report when icon could not be found for issue ice-wm/icewm#133.
      Use "firefox" instead of "mozilla" as Firefox icon for ice-wm/icewm#132.
      Rescale workspace buttons when taskbar is rather high.
      Temporarily hide the taskbar collapse button when collapsing or expanding.
      Test for i18n by negation.
      Compute the ultimate workspace button height, before creating them.
      Limit the resource string of an unresponsive client for issue #729.
      Check for TaskBarDoubleHeight when computing workspace button height.
      Detect idempotent RandR updates for issue #728. Only
        ArrangeWindowsOnScreenSizeChange when the desktop is really resizing.
      Also focus last window when hiding and Click-to-focus for issue #727.
      Let icesh exit with zero if the last action was a successful manager
        action.
      Reduce the subcats by 5.
      Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
        icewm-1-4-BRANCH
      Merge branch 'icewm-1-4-BRANCH'
      Prepare 3.3.5 release

Hugo Carvalho <hugokarvalho@hotmail.com> (1):
      Translated using Weblate (Portuguese)

Jan Papež <honyczek@centrum.cz> (1):
      Translated using Weblate (Czech)


Release icewm-3.3.4 released 2023-05-03
---------------------------------------

git shortlog -e -n -w80,6,8 3.3.3...3.3.4

Bert Gijsbers <gijsbers@science.uva.nl> (20):
      Fix compile error for yximage.cc.
      Deprecate XRRDisable.
      Fix corrupted text if built without i18n for issue ice-wm/icewm#131.
      When internationalization is disabled, unset LIBICONV.
      Improve the quality of drawing gradients for the Imlib2 renderer.
      Improve arrow navigation in the system dialog.
      Let icesh also pick icewm internal and override redirect windows.
      Improve the quality of drawing gradients for the GdkPixbuf renderer.
      Cache workspace button backgrounds for faster redrawing.
      Guard against workspace button gradient being undefined.
      Cache toolbar button gradients to speedup drawing.  Eliminate half of the
        button drawings on startup.
      Turkish translation of .desktop files and closes #716.
      Let icesh report up to 1024 bytes of a property in "prop".
      Let configure on OpenBSD test for -liconv in EXTRA_LIBS.
      Support icesh "focusmodel" for client windows without a WM_HINTS property.
      Revert "Fix compile error for yximage.cc." 30bd4f5
      When managing a new client, postpone sending a Configure event until the
        final position is known, for issue #720.
      Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
        icewm-1-4-BRANCH
      Merge branch 'icewm-1-4-BRANCH'
      Prepare 3.3.4 release

gijsbers <gijsbers@users.noreply.github.com> (3):
      Merge pull request #127 from bittin/patch-1
      Revert "Update icewm.desktop"
      Merge pull request #130 from ice-wm/revert-127-patch-1

Dmitriy Khanzhin <jinn@altlinux.org> (2):
      Translated using Weblate (Russian)
      Translated using Weblate (Russian)

Mehmet Akif 9oglu <madanadam@gmail.com> (2):
      Translated using Weblate (Turkish)
      Translated using Weblate (Turkish)

bittin <droidbittin@gmail.com> (2):
      Update icewm.desktop
      Swedish translation and credits (#714)

Luiz Fernando Ranghetti <elchevive68@gmail.com> (1):
      Translated using Weblate (Portuguese (Brazil))

Luna  Jernberg <bittin@opensuse.org> (1):
      Translated using Weblate (Swedish)

Wallon <franckjl@hotmail.com> (1):
      Translated using Weblate (French)


Release icewm-3.3.3 released 2023-04-09
---------------------------------------

git shortlog -e -n -w80,6,8 3.3.2...3.3.3

Bert Gijsbers <gijsbers@science.uva.nl> (36):
      Also link icewm with libintl and libiconv for FreeBSD.
      Force token evaluation as char pointer.
      Inline iterating over PATH for issue ice-wm/icewm#122.
      Respond to Escape on key release, not on key press.
      Respond to Escape on key release, not on key press.
      Respond to Escape on key release, not on key press.
      Respond to Escape on key release, not on key press.
      Respond to Escape on key release, not on key press.
      Optimize the default newstr.
      Respond to Escape on key release, not on key press.
      Let QuickSwitch respond to Escape on key release, not on key press.
      Let Window List respond to Escape on key release, not on key press.
      Fix for drawing button text in the System Dialog.
      Respond to Escape on key release, not on key press.
      Respond to Escape on key release, not on key press.
      Respond to Escape on key release, not on key press.
      Report when "menuprog" process crashed.
      Make the System Dialog modal to avoid confusion about what window has
        focus. Respond to Escape on key release, not on press, to prevent
        applications from receiving a stray Escape key release event.
      Remove upath from DProgram and MenuProgMenu.
      Fix the drawing of the focused button in the System Dialog for Look=flat.
      Support commands composed with || in the system dialog. Support the Prior
        and Next keys in the system dialog.
      Prevent integer overflow for very small screen dimensions.
      Adjust width of workspace buttons when screen resolution changes for #713.
      Add three more buttons to the system dialog.
      Update potfiles.
      Document the system dialog.
      Only enabled buttons are focus traversable.
      Close doesn't reload.
      Use actionClose.
      When the desktop geometry changes, rearrange the desktop icons.
      Detect when a screen dimension changes, even though the desktop geometry
        remains the same.
      Add support for Xrandr events to icewmbg for issue #713.
      Document the --verbose option of icewmbg.
      Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
        icewm-1-4-BRANCH
      Merge branch 'icewm-1-4-BRANCH'
      Prepare 3.3.3 release

Kempelen <lion@cmsbazar.hu> (3):
      Translated using Weblate (Hungarian)
      Translated using Weblate (Hungarian)
      Translated using Weblate (Hungarian)

David Medina <medipas@gmail.com> (1):
      Translated using Weblate (Catalan)

Ferdinand Galko <galko.ferdinand@gmail.com> (1):
      Translated using Weblate (Slovak)

Freek de Kruijf <freek@opensuse.org> (1):
      Translated using Weblate (Dutch)

Kristijan Fremen Velkovski <me@krisfremen.com> (1):
      Translated using Weblate (Macedonian)

Luiz Fernando Ranghetti <elchevive68@gmail.com> (1):
      Translated using Weblate (Portuguese (Brazil))

Mehmet Akif 9oglu <madanadam@gmail.com> (1):
      Translated using Weblate (Turkish)

Wallon <franckjl@hotmail.com> (1):
      Translated using Weblate (French)

Yasuhiko Kamata <belphegor@belbel.or.jp> (1):
      Translated using Weblate (Japanese)

welaq <welaq@users.noreply.github.com> (1):
      Add Lithuanian translation to .desktop files (#711)

